;+
; NAME: 
;	PLT_CL
;
; PURPOSE: 
;	plot the Cl
;       
; CALLING:
;	plt_cl, cl, l, overplot=overplot, xtype=xtype, ytype=ytype, 
;	xrange=xrange, yrange=yrange, title=title
;
; INPUTS:
;       cl : cl
; 	l : modes
;
; KEYWORD:
;	overplot : overplot
;	xtype : x log
;	ytype : y log
;	xrange : x range
;	yrange : y range
;	title : title
;
; OUTPUT KEYWORDS:
;       x --- x-axis (frequencies)
;
; OUTPUTS:
;       A plot
;
;-----------------------------------------------------------------------
pro plt_cl, cl, l,  overplot=overplot, xtype=xtype, ytype=ytype, xrange=xrange, yrange=yrange, title=title
; xtype and ytype for log representation

if not keyword_set(plot) then begin
  plot, l, (l*(l+1)*cl)/(2*!pi), xrange=xrange, yrange=yrange, xtype=xtype, ytype=ytype, xtitle='l',$
  ytitle='l(l+1).Cl/2!7p!3' , title=title
endif else  oplot, l, (l*(l+1)*cl)/(2*!pi)
 
end

